<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="index"}

<h2>Choisir l'année fiscale</h2>
<form id="formulaire_saisie" method="post" action="action.php">
    <fieldset>
        {* <legend>Choisir l'année fiscale</legend> *}
        <select id="annee_recu" name="annee_recu">
            {foreach from=$anneesFiscales item="annee"}
                <option value="{$annee}" {if $annee == $anneeCourante - 1} selected{/if}>{$annee}
                </option>
            {/foreach}
        </select>
    </fieldset>

    <div id="choix_methode">
        <h2>Choisir une méthode de génération des reçus</h2>

        <fieldset>
            {* <legend>Choisir une des méthodes</legend> *}
            <dl>
                <dd class="radio-btn">
                    <input type="radio" id="radio_tous_versements" name="choix_versements" value="tous_versements"
                        onclick="afficherMasquer(this.form, '.tous', '.activites');" />
                    <label for="radio_tous_versements">
                        <div class="explications">
                            <h5>
                                Tous les versements des membres font l'objet d'un reçu, sans
                                tenir compte des activités et tarifs
                            </h5>
                            <p>Choisissez cette option si vous voulez sélectionner tous les versements d'une, plusieurs ou toutes les personnes</p>
                        </div>
                    </label>
                </dd>

                <dd class="radio-btn">
                    <input type="radio" id="radio_versements_activites" name="choix_versements"
                        value="versements_activites" onclick="afficherMasquer(this.form, '.activites', '.tous');" />
                    <label for="radio_versements_activites">
                        <div class="explications">
                            <h5>
                                Seuls les versements de certaines activités et tarifs font
                                l'objet d'un reçu
                            </h5>
                            <p>Choisissez cette option si vous voulez sélectionner :</p>
                            <ul>
                            <li>certaines activités ou certains tarifs</li>
                            <li>certains versements de certaines personnes</li>
                            </ul>
                        </div>
                    </label>
                </dd>
            </dl>
        </fieldset>
    </div>

    <div id="div_taux_reduc" class="tous hidden">
        <h2>Choisir le taux de réduction</h2>
        <fieldset>
            {if $nbTaux == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un taux de réduction dans l'onglet de configuration</h3>
            {else}
            {foreach from=$plugin_config->reduction item="reduc"}
            {if $reduc->valeur == 1}
            <span class="radio-btn">
                <input
                    type="radio"
                    id="{$reduc->taux}"
                    name="taux_reduction"
                    value="{$reduc->taux}"
                    {if $nbTaux == 1}checked{/if}
                />
                 <label for="{$reduc->taux}">{$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
            </span>
            {/if}
            {/foreach}
            {/if}
        </fieldset>
    </div>

    <div id="generer_tous" class="tous hidden">
        <p class=" submit">
            {csrf_field key="generer_tous_recus"}
            {button type="submit" name="generer_tous" label="Poursuivre" shape="right" class="main" onclick="return verifierRadio('div_taux_reduc');" }
        </p>
    </div>

    <div id="liste_activites_tarifs" class="activites hidden">
        <h2>Choisir les activités et tarifs concernés par les reçus ainsi que le taux de réduction</h2>
        <fieldset>
        {if $nbTaux == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un taux de réduction dans l'onglet de configuration</h3>
        {else}
        <table class="list">
            <thead>
                <tr>
                    <th>Cocher</th>
                    <th>Activité et Tarif</th>
                    <th>Taux de réduction</th>
                    <th>Caractéristiques activité</th>
                    <th>N° et Compte</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$activitesTarifsComptes item="activite"}
                    <tr>
                        <td>
                        {if $nbTarifs == 1}
                            {input
                                type="checkbox"
                                name="tarifs[]"
                                value=$activite.idTarif
                                checked="checked"
                            }
                        {else}
                            {input
                                type="checkbox"
                                name="tarifs[]"
                                value=$activite.idTarif
                            }
                        {/if}
                        </td>
                        <td>
                            <span>{$activite.titreActivite} - {$activite.titreTarif}</span>
                        </td>
                        <td>
                        {foreach from=$plugin_config->reduction item="reduc"}
                        {if $reduc->valeur == 1}
                        <span class="radio-btn">
                            <input
                                type="radio"
                                id="taux_{$reduc->taux}_{$activite.idTarif}"
                                name="taux_reduction_{$activite.idTarif}"
                                value="{$reduc->taux}"
                                {if $nbTarifs > 1}disabled{/if}
                                {if $nbTaux == 1}checked{/if}
                            />
                            <label for="taux_{$reduc->taux}_{$activite.idTarif}">{$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
                        </span>
                        {/if}
                        {/foreach}
                        </td>
                        <td>{if $activite.descActivite != ""}{$activite.descActivite} ; {/if}{$activite.descTarif}</td>
                        <td>{$activite.numeroCpt} : {$activite.nomCpt}</td>
                    </tr>
                {/foreach}
            </tbody>
        </table>
        {/if}
        </fieldset>
    </div>

    <div id="generer_activites" class="activites hidden">
        <p class=" submit">
            {csrf_field key="generer_recus_activites"}
            {button type="submit" name="generer_activites" label="Poursuivre" shape="right" class="main" onclick="return verifierCases('liste_activites_tarifs');" }
        </p>
    </div>
</form>

<script type="text/javascript" src="script.js" defer="defer"></script>
{literal}
<script type="text/javascript">
        // activer/désactiver les radios des activités/tarifs
        for (var laCase of document.querySelectorAll("input[type=checkbox]")) {
            laCase.addEventListener('change', (evt) => {
                var idCase = evt.target;
                // chercher la ligne englobante (<tr>)
                var ligne = idCase.closest("tr");
                // itérer sur les radio de cette ligne
                var lesRadios = ligne.querySelectorAll('input[type=radio]');
                for (var idRadio of lesRadios) {
                    if (idCase.checked) {
                        idRadio.disabled = '';
                    } else {
                        idRadio.disabled = 'disabled';
                    }
                }
            });
        }
    </script>
{/literal}

<!-- footer -->
{include file="admin/_foot.tpl"}